clear all

files = {   'S_E4Y_A1', 'S_E4Y_A2', 'S_E4Y_A3', 'S_E4Y_A4', 'S_E4Y_A5', ...
            'S_E4Y_A6', 'S_E4Y_A7', 'S_E4Y_A8', 'S_E4Y_B1', 'S_E4Y_B8', ...
            'S_E4Y_C1', 'S_E4Y_C8', 'S_E4Y_D1', 'S_E4Y_D8', 'S_E4Y_E1', ...
            'S_E4Y_E8', 'S_E4Y_F1', 'S_E4Y_F8', 'S_E4Y_G1', 'S_E4Y_G8', ...
            'S_E4Y_H1', 'S_E4Y_H2', 'S_E4Y_H3', 'S_E4Y_H4', 'S_E4Y_H5', ...
            'S_E4Y_H6', 'S_E4Y_H7', 'S_E4Y_H8',    };

for k1 = 1:28
    filename = [files{k1},'.mat'];
    load(filename);
    SMatTot(:,k1) = squeeze(data(1,2,:));
    S11Tot(:,k1) = squeeze(data(1,1,:));
    S22Tot(:,k1) = squeeze(data(2,2,:));
%             else
%                 SMatTot(:,j) = S11Tot(:,j-1);
%                 S11Tot(:,j) = S11Tot(:,j-1);
%             end
    j=j+1;
end

SRing = sum(SMatTot,2);

dx = 15e-3;
dy = 15e-3;
k0 =  2*pi*frequency/physconst('lightspeed');
theta = deg2rad(60);
phi = deg2rad(90);
Weights = zeros(length(frequency),64);

for jfreq = 1:length(frequency)
% weights_X = 0.*exp(1i*k0(jfreq)*sin(theta)*cos(phi).*dx*[0:7]).'*exp(1i*k0(jfreq)*sin(theta)*sin(phi).*dy*[0:7]);
% taper = [0.3 0.6 1 1 1 1 0.6 0.3];
taper = [0 0 1 1 1 1 0 0];
weights_Y = (taper.*exp(1i*k0(jfreq)*sin(theta)*cos(phi).*dx*(0:7))).'*(taper.*exp(1i*k0(jfreq)*sin(theta)*sin(phi).*dy*(0:7)));
% % % Weights(jfreq,1:2:end-1) = (reshape(weights_X,64,1));
Weights(jfreq,:) = (reshape(weights_Y,64,1));
end

SMatTot(:,36) = S11Tot(:,15);
SMatTot(:,36) = mean(S11Tot,2);
% SMatTot(:,28) = SMatTot(:,44);
Sactive = sum(Weights.*SMatTot,2);

figure
plot(frequency*1e-9,db(Sactive),'linewidth',2), grid on
xlim([1 9])
xlabel('Frequency [GHz]')
ylabel('\Gamma_{act} [dB]')
set(gca,'FontSize',16)
set(gcf,'color','white'), box on

figure
plot(frequency*1e-9,(1+abs(Sactive))./(1-abs(Sactive)),'linewidth',2), grid on
xlim([1 9])
xlabel('Frequency [GHz]')
ylim([1 5])
% % ylabel('S_{1n} [GHz]')
set(gca,'FontSize',16)
set(gcf,'color','white'), box on

figure, hold on
plot(frequency*1e-9,db(SMatTot))
% ylim([1 5])
% xlim([5 9])
grid on

