% Flat top window
% in:   N = Number of points
%       start, stop, rise, fall of the gate in index number
% out:  wnd: window

function wnd = ETWin(N, p1, p2, p3, p4 ) 

wnd = zeros(1,N);
rise = p2-p1;
fall = p4-p3;
start = p1;
stop = p4;
a1 = -log(0.001)/rise^2; a2 = -log(0.001)/fall^2;
wnd(start:start+rise) = fliplr(exp(-a1*(0:rise).^2));
wnd(stop-fall:stop) = exp(-a2*(0:fall).^2);
wnd(start+rise+1:stop-fall-1) = 1;
